Activity log for bug #1062684

Date Who What changed Old value New value Message
2012-10-06 04:35:41 Jaime Sicam bug added bug
2012-10-06 04:43:04 Jaime Sicam tags i25967
2012-10-06 06:31:11 Jaime Sicam description If in your [mysqld] section of my.cnf, this is set: innodb_data_file_path = ibdata1:2000M;ibdata2:10M:autoextend innobackupex cannot apply incremental backup: 121005 21:31:47 innobackupex: Starting ibbackup with command: xtrabackup_55 --defaults-file="/backups/full/2012-10-05_21-22-00/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/backups/full/2012-10-05_21-22-00 --apply-log-only --incremental-dir=/backups/incremental/2012-10-05_21-23-37 innobackupex --apply-log --redo-only --incremental-dir=/backups/incremental/2012-10-05_21-23-37 /backups/full/2012-10-05_21-22-00 xtrabackup_55 version 2.0.3 for Percona Server 5.5.16 Linux (x86_64) (revision id: 470) incremental backup from 416883306 is enabled. xtrabackup: cd to /backups/full/2012-10-05_21-22-00 xtrabackup: This target seems to be already prepared. xtrabackup: xtrabackup_logfile detected: size=2097152, start_lsn=(416883306) xtrabackup: Temporary instance for recovery is set as followings. xtrabackup: innodb_data_home_dir = ./ xtrabackup: innodb_data_file_path = ibdata1:2000M;ibdata2:10M:autoextend xtrabackup: innodb_log_group_home_dir = /backups/incremental/2012-10-05_21-23-37 xtrabackup: innodb_log_files_in_group = 1 xtrabackup: innodb_log_file_size = 2097152 121005 21:31:47 InnoDB: Using Linux native AIO InnoDB: Error: data file ./ibdata1 is of a different size InnoDB: 128000 pages (rounded down to MB) InnoDB: than specified in the .cnf file 2000 pages! xtrabackup: Could not open or create data files. xtrabackup: If you tried to add new data files, and it failed here, xtrabackup: you should now edit innodb_data_file_path in my.cnf back xtrabackup: to what it was, and remove the new ibdata files InnoDB created xtrabackup: in this failed attempt. InnoDB only wrote those files full of xtrabackup: zeros, but did not yet use them in any way. But be careful: do not xtrabackup: remove old data files which contain your precious data! xtrabackup: error: xb_data_files_init() failed witherror code 11 innobackupex: Error: innobackupex: ibbackup failed at /usr/bin/innobackupex line 378. Workaround: Install xtrabackup-2.0.1 to apply incremental backup If in your [mysqld] section of my.cnf, this is set: innodb_data_file_path = ibdata1:2000M;ibdata2:10M:autoextend innobackupex cannot apply incremental backup: innobackupex --apply-log --redo-only --incremental-dir=/backups/incremental/2012-10-05_21-23-37 /backups/full/2012-10-05_21-22- 00 121005 21:31:47 innobackupex: Starting ibbackup with command: xtrabackup_55 --defaults-file="/backups/full/2012-10-05_21-22-00/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/backups/full/2012-10-05_21-22-00 --apply-log-only --incremental-dir=/backups/incremental/2012-10-05_21-23-37 xtrabackup_55 version 2.0.3 for Percona Server 5.5.16 Linux (x86_64) (revision id: 470) incremental backup from 416883306 is enabled. xtrabackup: cd to /backups/full/2012-10-05_21-22-00 xtrabackup: This target seems to be already prepared. xtrabackup: xtrabackup_logfile detected: size=2097152, start_lsn=(416883306) xtrabackup: Temporary instance for recovery is set as followings. xtrabackup: innodb_data_home_dir = ./ xtrabackup: innodb_data_file_path = ibdata1:2000M;ibdata2:10M:autoextend xtrabackup: innodb_log_group_home_dir = /backups/incremental/2012-10-05_21-23-37 xtrabackup: innodb_log_files_in_group = 1 xtrabackup: innodb_log_file_size = 2097152 121005 21:31:47 InnoDB: Using Linux native AIO InnoDB: Error: data file ./ibdata1 is of a different size InnoDB: 128000 pages (rounded down to MB) InnoDB: than specified in the .cnf file 2000 pages! xtrabackup: Could not open or create data files. xtrabackup: If you tried to add new data files, and it failed here, xtrabackup: you should now edit innodb_data_file_path in my.cnf back xtrabackup: to what it was, and remove the new ibdata files InnoDB created xtrabackup: in this failed attempt. InnoDB only wrote those files full of xtrabackup: zeros, but did not yet use them in any way. But be careful: do not xtrabackup: remove old data files which contain your precious data! xtrabackup: error: xb_data_files_init() failed witherror code 11 innobackupex: Error: innobackupex: ibbackup failed at /usr/bin/innobackupex line 378. Workaround: Install xtrabackup-2.0.1 to apply incremental backup
2012-10-09 12:49:37 Alexey Kopytov nominated for series percona-xtrabackup/2.0
2012-10-09 12:49:37 Alexey Kopytov bug task added percona-xtrabackup/2.0
2012-10-09 12:49:37 Alexey Kopytov nominated for series percona-xtrabackup/2.1
2012-10-09 12:49:37 Alexey Kopytov bug task added percona-xtrabackup/2.1
2012-10-09 12:49:46 Alexey Kopytov percona-xtrabackup/2.0: status New Triaged
2012-10-09 12:49:48 Alexey Kopytov percona-xtrabackup/2.1: status New Triaged
2012-10-09 12:49:51 Alexey Kopytov percona-xtrabackup/2.0: importance Undecided Critical
2012-10-09 12:49:53 Alexey Kopytov percona-xtrabackup/2.1: importance Undecided Critical
2012-10-09 12:49:58 Alexey Kopytov percona-xtrabackup/2.0: milestone 2.0.4
2012-10-09 12:50:01 Alexey Kopytov percona-xtrabackup/2.1: milestone 2.1-initial
2012-10-15 15:17:58 Sergei Glushchenko percona-xtrabackup/2.0: assignee Sergei Glushchenko (sergei.glushchenko)
2012-10-15 15:18:00 Sergei Glushchenko percona-xtrabackup/2.1: assignee Sergei Glushchenko (sergei.glushchenko)
2012-10-17 05:55:15 Sergei Glushchenko percona-xtrabackup/2.0: status Triaged In Progress
2012-10-17 05:55:18 Sergei Glushchenko percona-xtrabackup/2.1: status Triaged In Progress
2012-10-17 11:01:57 Sergei Glushchenko branch linked lp:~sergei.glushchenko/percona-xtrabackup/ST-25967-2.0
2012-10-17 11:02:21 Sergei Glushchenko branch linked lp:~sergei.glushchenko/percona-xtrabackup/ST-25967-2.1
2012-10-22 09:19:22 Sergei Glushchenko percona-xtrabackup/2.0: status In Progress Fix Committed
2012-10-22 09:19:33 Sergei Glushchenko percona-xtrabackup/2.1: status In Progress Fix Committed
2012-11-07 06:37:44 Stewart Smith percona-xtrabackup/2.0: milestone 2.0.4 2.0.5
2012-11-07 07:13:00 Stewart Smith percona-xtrabackup/2.0: milestone 2.0.5 2.0.4
2012-11-19 23:18:16 Stewart Smith percona-xtrabackup/2.0: status Fix Committed Fix Released
2012-11-19 23:18:18 Stewart Smith percona-xtrabackup/2.1: status Fix Committed Fix Released